// $Id: chemin.h,v 1.1.1.1 2003/09/19 15:11:48 nthiery Exp $
#ifndef CHEMINS_H
#define CHEMINS_H

#include<stdio.h>
#include<stdlib.h>
#include<vector>
typedef std::vector<int> integerList;

void DisplayList(integerList liste);
integerList *WithoutSlopeFirst(long sum, long minLng, long maxLng, long start, integerList floor, integerList ceiling);
integerList *WithoutSlopeNext(integerList first, long sum , long minLng, long maxLng, integerList floor,integerList ceiling);

#endif
